#ifndef __GLOBALINFO_H__
#define __GLOBALINFO_H__

#include "GlobalVariable.h"


/**
 * @brief 全局信息类
 * 
 */

#define GInfo GlobalInfo::instance()
class GlobalInfo
{
    GlobalInfo() = default;
    GlobalInfo(const GlobalInfo&) = delete;
    GlobalInfo& operator=(const GlobalInfo&) = delete;
public:
    ~GlobalInfo();
    static GlobalInfo& instance()
    {
        static GlobalInfo instance;
        return instance;
    }

    /* 初始化全局信息 */
    bool initGlobalInfo();

    /* 获取默认的对比项参数 */
    const CompareItemInfo_t& getDefaultCompareItem() const {return m_defaultCompareItem; }
    /* 设置对比项默认的参数 */
    void setDefaultCompareItem(const CompareItemInfo_t& item);
    /* 获取最外层的窗口指针 */
    QWidget* getTopWindow() const { return m_topWindow; }
    /* 设置最外层的窗口指针 */
    void setTopWindow(QWidget* topWindow) { m_topWindow = topWindow; }

public:
    


private:
    /* 对比项默认参数 */
    CompareItemInfo_t m_defaultCompareItem;

    /* 最外层的窗口指针 */
    QWidget* m_topWindow = nullptr;

};

#endif // __GLOBALINFO_H__
