#ifndef __SOUNDCARDDATA_H__
#define __SOUNDCARDDATA_H__

#include "GlobalVariable.h"
#include <qlist.h>


/**
 * @brief 声卡信息管理器
 * 
 */

#define SoundCards SoundCardDataManager::getInstance()

class SoundCardDataManager
{

    SoundCardDataManager() = default;
    
    SoundCardDataManager(const SoundCardDataManager&) = delete;
    SoundCardDataManager& operator=(const SoundCardDataManager&) = delete;
public:
    ~SoundCardDataManager();
    static SoundCardDataManager& getInstance()
    {
        static SoundCardDataManager instance;
        return instance;
    }
    /* 初始化声卡列表 */
    void initSoundCardList(QList<SoundCardInfo_t>& listSoundCard);

    /* 获取声卡列表 */
    const QList<SoundCardInfo_t>& getSoundCardList() const { return m_listSoundCard; }

    /* 根据声卡编号和录音通道编号获取声卡信息 */
    SoundCardRoadInfo_t getSoundCardRoadInfo(int nSoundCardNum, int nChannelID);
    /* 获取带有声卡信息的通道列表 */
    const QList<SoundCardRoadInfo_t>& getSoundCardRoadList() const;

private:
    QList<SoundCardInfo_t> m_listSoundCard;             /* 声卡信息列表 */
    QList<SoundCardRoadInfo_t> m_listSoundCardRoad;     /* 带有声卡信息的通道列表，数据以上面的为准 */
};




#endif // __SOUNDCARDDATA_H__
