﻿#ifndef SINGLECOMPAREROADWIDGET_H
#define SINGLECOMPAREROADWIDGET_H

#include <QWidget>

#include "SoundCardData.h"

namespace Ui {
class SingleCompareRoadWidget;
}

class SingleCompareRoadWidget : public QWidget
{
    Q_OBJECT

    Q_PROPERTY(bool bDelBtnVisible READ isDelBtnVisible WRITE setDelBtnVisible)
    Q_PROPERTY(int nIndex READ getIndex WRITE setIndex)

public:
    explicit SingleCompareRoadWidget(QWidget *parent = nullptr);
    ~SingleCompareRoadWidget();

    /* 设置删除按钮是否可见 */
    bool isDelBtnVisible() const;
    void setDelBtnVisible(bool bVisible);

    /* 设置声卡通道列表 */
    void setSoundCardRoadList(const QList<SoundCardRoadInfo_t>& listRoad);
    /* 设置默认参数，设置之前需要先设置完成声卡可选通道列表 */
    void setDefaultParams(const CompareItemRoadInfo_t& roadInfo);

    /* 获取设置编号 */
    int getIndex() const;
    void setIndex(int nIndex);
    /* 获取通道名称 */
    QString getRoadName() const;
    /* 获取声卡录音通道编号 */
    SoundCardRoadInfo_t getSoundCardRoadInfo();
    /* 是否开启录音 */
    bool isRecordEnabled() const;

    /* 设置通道名称报警 */
    void setRoadNameWarn(bool isWarn);

signals:
    void deleted(int nIndex);

private:
    Ui::SingleCompareRoadWidget *ui;

    int m_nIndex;
};

#endif // SINGLECOMPAREROADWIDGET_H
