#ifndef ONEDETECTPLAN_H
#define ONEDETECTPLAN_H

#include <QWidget>

#include "GlobalVariable.h"




namespace Ui {
class OneDetectPlan;
}


/**
 * @brief 不一致检测计划
 * 
 */
class OneDetectPlan : public QWidget
{
    Q_OBJECT

public:
    explicit OneDetectPlan(eWeekType type, QWidget *parent = nullptr);
    ~OneDetectPlan();

    /* 设置QSS */
    void setQSS(const QString &qss);
    /* 设置计划 */
    void setPlan(const OnePlan_t &plan);
    /* 获取计划 */
    const OnePlan_t& getPlan();

signals:
    /* 点击了关闭按钮 */
    void signal_oneDetectPlanCloseClicked();
    /* 修改了周几，在外面判断是否冲突，并排序 */
    void signal_planModifiedWeek(OnePlan_t formerPlan, OnePlan_t newPlan);
    /* 点击了时间按钮，在外面修改时间，附带点击的按钮位置 */
    void signal_timeButtonClicked(QPoint pBtnSize, bool isStartTime);

private slots:
    /* 修改了周几 */
    void do_comboBox_currentIndexChanged(int index);
    /* 点击了时间按钮 */
    void do_timeButtonClicked();

private:
    Ui::OneDetectPlan *ui;

    eWeekType m_type;           /* 周几 */

    OnePlan_t m_plan;           /* 一条计划 */
    QTime m_timeStart;          /* 开始时间 */
    QTime m_timeEnd;            /* 结束时间 */
};

#endif // ONEDETECTPLAN_H
