#ifndef DATABASEWIDGET_H
#define DATABASEWIDGET_H

#include <QWidget>
#include "spdlog/spdlog.h"
#include "SystemConfigStruct.h"

class FromWebAPI;

namespace Ui {
class DatabaseWidget;
}

class DatabaseWidget : public QWidget
{
    Q_OBJECT

public:
    explicit DatabaseWidget(QWidget *parent = nullptr);
    ~DatabaseWidget();

    /* 设置WebAPI指针 */
    void setWebAPI(class FromWebAPI* webAPI) { m_fromWebAPI = webAPI; }
    /* 保存参数 */
    bool saveParams();

private:
    Ui::DatabaseWidget *ui;
    std::shared_ptr<spdlog::logger> m_logger = nullptr;
    FromWebAPI* m_fromWebAPI = nullptr;

    DatabaseConfig_t m_databaseConfig; // 数据库配置
};

#endif // DATABASEWIDGET_H
