#ifndef NOISEMONITORPARAMDIALOG_H
#define NOISEMONITORPARAMDIALOG_H

#include "DialogBase.h"
#include "spdlog/spdlog.h"
#include "SystemConfigStruct.h"


namespace Ui {
class NoiseMonitorParamWidget;
}

class NoiseMonitorParamDialog : public DialogBase
{
    Q_OBJECT

public:
    explicit NoiseMonitorParamDialog(QWidget *parent = nullptr);
    ~NoiseMonitorParamDialog();

    /* 设置初始参数 */
    void setInitialParams(NoiseDetectParam_t& noiseDetectParam);
    /* 获取当前参数 */
    NoiseDetectParam_t getCurrentParams() const { return m_noiseDetectParam; }

private:
    /* 设置qss */
    void setQss();
    /* 点击了OK */
    bool isOKClicked() override;
    /* 更新噪音检测参数 */
    void updateNoiseDetectParam();

private:
    Ui::NoiseMonitorParamWidget *ui;
    std::shared_ptr<spdlog::logger> m_logger = nullptr;

    NoiseDetectParam_t m_noiseDetectParam; // 噪音检测参数
};

#endif // NOISEMONITORPARAMDIALOG_H
