﻿#ifndef NOISEWIDGET_H
#define NOISEWIDGET_H

#include <QWidget>

#include "spdlog/spdlog.h"
#include "SystemConfigStruct.h"


class FromWebAPI;

namespace Ui {
class NoiseWidget;
}

class NoiseWidget : public QWidget
{
    Q_OBJECT

public:
    explicit NoiseWidget(QWidget *parent = nullptr);
    ~NoiseWidget();

    /* 设置WebAPI */
    void setWebAPI(FromWebAPI* api) { m_fromWebAPI = api; }
    /* 保存参数 */
    bool saveConfig();

private slots:
    void do_pBtn_editNoiseParam_clicked();

private:
    /* 保存基础参数 */
    bool saveBaseConfig();
    /* 保存噪音检测参数 */
    bool saveNoiseDetectParam();

private:
    Ui::NoiseWidget *ui;
    std::shared_ptr<spdlog::logger> m_logger = nullptr;

    FromWebAPI* m_fromWebAPI = nullptr; // 用于从Web API获取数据

    NoiseDetectParam_t m_noiseDetectParam; // 噪音检测参数
};

#endif // NOISEWIDGET_H
