#include "blurutility.h"
#include "imageblur.h"
#include <QPainter>

//------------------------------------------------------------------------
//函    数: CreateInnerShadow(QImage &image, const QColor &color, int radius)
//
//说    明: 创建内阴影image
//
//参    数: 
//[传入传出]image 传入已分配好内存空间(且具备长宽)的image对象, 传出处理后的image对象
//[传入]color 阴影颜色
//[传入]radius 阴影扩散程度
//
//返 回 值：是否成功
//------------------------------------------------------------------------
bool BlurUtility::CreateInnerShadow(QImage &image, const QColor &color, int radius)
{
    if(image.isNull()) return false;
    QPainter p;
    p.begin(&image);
    p.setPen(QPen(color, 2));
    p.drawRect(QRect(0, 0, image.width(), image.height()));
    p.end();
    GaussBlur::Blur(image, radius);
    return true;
}
