﻿#include "calendarheader.h"
#include "ui_calendarheader.h"
#include "PaintHelper/painthelper.h"
// #include "StyleManager/lhstylemanager.h"
#include "LHQLogAPI.h"

#include <QFile>

CalendarHeader::CalendarHeader(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::CalendarHeader)
{
    ui->setupUi(this);
    // LHStyleManager::Instance()->AddWidget(this);
    // setQSS();
    setQSS(0);
}

CalendarHeader::~CalendarHeader()
{
    delete ui;
}

void CalendarHeader::SetFirstDayOfWeek(Qt::DayOfWeek dayOfWeek)
{
    ui->label1->setText(km_listWeeks.at((dayOfWeek-1+0)%km_listWeeks.count()));
    ui->label2->setText(km_listWeeks.at((dayOfWeek-1+1)%km_listWeeks.count()));
    
    ui->label3->setText(km_listWeeks.at((dayOfWeek-1+2)%km_listWeeks.count()));
    ui->label4->setText(km_listWeeks.at((dayOfWeek-1+3)%km_listWeeks.count()));
    
    ui->label5->setText(km_listWeeks.at((dayOfWeek-1+4)%km_listWeeks.count()));
    ui->label6->setText(km_listWeeks.at((dayOfWeek-1+5)%km_listWeeks.count()));
    
    ui->label7->setText(km_listWeeks.at((dayOfWeek-1+6)%km_listWeeks.count()));
}

/* 设置QSS */
void CalendarHeader::setQSS(int style)
{
    QString qssPath;
    if(style == 0)
    {
        /* 亮色UI */
        qssPath = ":/Calendar/qss/calendarheader_light.qss";
    }
    else if(style == 1)
    {
        /* 暗色UI */
        qssPath = ":/Calendar/qss/calendarheader_dark.qss";
    }
    QFile qssFile(qssPath);
    if(qssFile.open(QFile::ReadOnly))
    {
        QString qss = qssFile.readAll();
        setStyleSheet(qss);
        qssFile.close();
    }else {
        LH_WRITE_ERROR("open qss file failed, path: " + qssPath);
    }
}


void CalendarHeader::paintEvent(QPaintEvent *)
{
    PainterEx painter(this);
}
