#ifndef CALENDARNAV_H
#define CALENDARNAV_H

#include <QWidget>
#include <QCalendarWidget>

namespace Ui {
class CalendarNav;
}

class CalendarNav : public QWidget
{
    Q_OBJECT
    
public:
    explicit CalendarNav(QCalendarWidget *pCalendar, QWidget *parent = nullptr);
    ~CalendarNav() override;

    void hidePreYear(bool);
    void hidePreMonth(bool);
    void hideNextYear(bool);
    void hideNextMonth(bool);

    /* 设置QSS */
    void setQSS(int style = 0);
private:
    Ui::CalendarNav *ui;
    QCalendarWidget *m_pCalendar;
private slots:
    void SetYearMonth(int year, int month);
};

#endif // CALENDARNAV_H
