#ifndef CALENDARSCOPEBTN_H
#define CALENDARSCOPEBTN_H

#include <QDateTime>
#include <QPushButton>

class ScopeCalendarBtn : public QPushButton
{
    Q_OBJECT
public:
    explicit ScopeCalendarBtn(QWidget *parent = nullptr);
    QDate From(){return m_dtFrom;}
    QDate To(){return m_dtTo;}
    void SetMinimumDate(const QDate &date);
    void SetMiaxmumDate(const QDate &date);
    void SetScope(const QDate &from, const QDate &to);
    void SetFormat(const QString &format = "%1 - %2"){m_strFormat = format;}
signals:
    void sig_ScopeSelected(const QDate &from, const QDate &to);
private slots:
    void OnPopBtnClicked();
    void OnScopeSelected(const QDate &from, const QDate &to);
protected:
    void paintEvent(QPaintEvent *event);
private:
    QDate m_dtFrom;
    QDate m_dtTo;
    QDate m_dtMin;
    QDate m_dtMax;
    QString m_strFormat;
};

#endif // CALENDARSCOPEBTN_H
