﻿#ifndef SETINFOMANAGER_H
#define SETINFOMANAGER_H

#include <QObject>


#include "entities.h"

class FromWebAPI;
class SetInfoWidget;

/**
 * @brief 设置管理器，从这里初始化所需要的设置界面和数据。
 *          1、初始化完成WebAPI后会获取数据库信息，写入到SysConfig和CIData中
 *          2、这里的webapi指针只有一个，页面中所有的都是用的这个
 * 
 */

class SetInfoManager: public QObject
{
    Q_OBJECT
public:
    explicit SetInfoManager(QObject *parent = nullptr);
    virtual ~SetInfoManager();

    /* 初始化，初始化所有参数变量 */
    int Init(const stInitData* pData);

    int CreateWindow(int nSkinType, QWidget* parent);
    int ShowWindow(int nSkinType, int nServiceID, bool bShowWindow);

    /* 释放内存 */
    int Release();

private:
    /* 生成默认的对比项参数 */
    void setDefaultCompareItem();
    /* 初始化WebAPI */
    bool initWebAPI();
    /* 获取数据库中系统设置参数 */
    bool getSystemConfig();

private:
    stInitData m_initData;      // 初始化数据
    SetInfoWidget* m_pWgtSet;
    FromWebAPI* m_fromWebAPI = nullptr; // 用于从Web API获取数据
};

#endif // SETINFOMANAGER_H
