#include "widget.h"

#include <QApplication>
#include <QFontDatabase>
#include <qapplication.h>
#include <qchar.h>
#include <QDebug>


#include "spdlog/spdlog.h"

void addFont();


int main(int argc, char *argv[])
{
    QApplication a(argc, argv);


    /* 从文件加载字体 */
    addFont();


    SPDLOG_INFO("********** ACASetting **********");


    Widget w;
    w.show();


    return a.exec();
}


/* 加载字体 */
void addFont()
{
    QString fontPath = QApplication::applicationDirPath() + "/font/SiYuanBlack_ttf";
    /* 加载字体 */
    int id1 = QFontDatabase::addApplicationFont(fontPath + "/SiYuanBlack_Bold.ttf");
    int id2 = QFontDatabase::addApplicationFont(fontPath + "/SiYuanBlack_M.ttf");
    int id3 = QFontDatabase::addApplicationFont(fontPath + "/SiYuanBlack_R.ttf");
    /***************************************************
     * 字体使用方式
     * id1 ("思源黑体-粗")
     * id2 ("思源黑体M")
     * id3 ("思源黑体R")
    ****************************************************/
       SPDLOG_INFO("{}", fontPath.toStdString());
       qDebug() << "id1" << id1 << ", " << QFontDatabase::applicationFontFamilies(id1);
       qDebug() << "id2" << id2 << ", " << QFontDatabase::applicationFontFamilies(id2);
       qDebug() << "id3" << id3 << ", " << QFontDatabase::applicationFontFamilies(id3);
    QFont font_main;
    font_main.setFamily(QFontDatabase::applicationFontFamilies(id3).at(0));
    font_main.setPixelSize(14);
    QApplication::setFont(font_main);
}





