#include "widget.h"
#include "ui_widget.h"

#include <QLayout>
#include <QVBoxLayout>

#include "settingAPI.h"
#include "spdlog/spdlog.h"

Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);


    QVBoxLayout *layout = new QVBoxLayout(this);
    layout->setContentsMargins(16, 16, 16, 16);
    layout->setSpacing(8);
    this->setLayout(layout);

    // 加载设置动态库
    if(!loadSettingLibrary())
    {
        SPDLOG_ERROR("Failed to load setting library.");
        return;
    }
    // 初始化数据
    stInitData initData;
    DoInit(&initData);
    // 创建窗口
    int skinType = 0; // 0: 白色风格, 1: 黑色风格
    int result = DoCreateWindow(skinType, this);
    DoShowWindow(1, 1, true);

}

Widget::~Widget()
{
    delete ui;
}
