#include "widget.h"

#include <QApplication>
#include <QFontDatabase>
#include <qapplication.h>
#include <qchar.h>


#include "spdlog/spdlog.h"

void addFont();


int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    /* 从文件加载字体 */
    addFont();


    SPDLOG_INFO("********** ACASetting **********");


    Widget w;
    w.show();


    return a.exec();
}


/* 加载字体 */
void addFont()
{
    QString fontPath = QApplication::applicationDirPath() + "/font/SiYuanBlack_ttf";
    /* 加载字体 */
    QFontDatabase::addApplicationFont(fontPath + "/SiYuanBlack_Bold.ttf)");
    QFontDatabase::addApplicationFont(fontPath + "/SiYuanBlack_M.ttf)");
    QFontDatabase::addApplicationFont(fontPath + "/SiYuanBlack_R.ttf)");
    /***************************************************
     * 字体使用方式
     * id1 ("思源黑体-粗")
     * id2 ("思源黑体M")
     * id3 ("思源黑体R")
    ****************************************************/
    //    SPDLOG_LOGGER_DEBUG(m_logger,"id1 = {}",QFontDatabase::applicationFontFamilies(id1));
    //    qDebug() << "id1" << QFontDatabase::applicationFontFamilies(id1);
    //    qDebug() << "id2" << QFontDatabase::applicationFontFamilies(id2);
    //    qDebug() << "id3" << QFontDatabase::applicationFontFamilies(id3);
    QFont font_main;
   font_main.setFamily("思源黑体R");
    font_main.setPixelSize(14);
    QApplication::setFont(font_main);
}





